de.vc.report.sources.swing

## Class SwingTableDataSource

- java.lang.Object
- - de.vc.report.DataSource
  - - de.vc.report.sources.swing.SwingTableDataSource

-     public class SwingTableDataSource
      extends DataSource

  Uses a swing table model as data source for reports. Each row of the swing table model represents data for one report.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingTableDataSource(javax.swing.table.TableModel swingModel)` Creates a new data source from a swing table model.
    `SwingTableDataSource(javax.swing.table.TableModel swingModel, java.lang.String[] fillinNames)` Creates a new data source from a swing table model and defines or overrides FILLIN names of table columns.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `deliverData()`
    `protected int` | `getDataCount()`

    - ### Methods inherited from class de.vc.report.DataSource

      `deliver, getLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwingTableDataSource

          public SwingTableDataSource(javax.swing.table.TableModel swingModel)

      Creates a new data source from a swing table model. FILLIN names are column names of table model.
      Parameters:
        `swingModel` - Swing table model.

    - #### SwingTableDataSource

          public SwingTableDataSource(javax.swing.table.TableModel swingModel,
                              java.lang.String[] fillinNames)

      Creates a new data source from a swing table model and defines or overrides FILLIN names of table columns.
      Parameters:
        `swingModel` - Swing table model.
        `fillinNames` - FILLIN-names of tabel columns.

  - ### Method Detail

    - #### deliverData

          protected void deliverData()
                              throws ReportException

      Specified by:
        `deliverData` in class `DataSource`
      Throws:
        `ReportException`

    - #### getDataCount

          protected int getDataCount()

      Overrides:
        `getDataCount` in class `DataSource`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.